#!/usr/bin/env bash
failwith() {
  echo -e "\e[31m[ERROR]\e[m $1"
  exit 1
}
unittest() {
  diff <(./a.out < ./testdata/in/in$1.txt) ./testdata/out/out$1.txt || failwith "Test $1 failed"
}
for((i=0;i<10;i++)); do
    unittest ${i}
done
echo "PASS"